<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/NEON -&gt; kernels Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_315f6cf1ec0b2df3ae747ff8286a19f5.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<h3>NEON &rarr; kernels Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in arm_compute/core/NEON</th><th class="dirtab">Includes file in arm_compute/core/NEON/kernels</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_absolute_difference_kernel_8h.xhtml">NEAbsoluteDifferenceKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_accumulate_kernel_8h.xhtml">NEAccumulateKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_activation_layer_kernel_8h.xhtml">NEActivationLayerKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_arithmetic_addition_kernel_8h.xhtml">NEArithmeticAdditionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_arithmetic_subtraction_kernel_8h.xhtml">NEArithmeticSubtractionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_bitwise_and_kernel_8h.xhtml">NEBitwiseAndKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_bitwise_not_kernel_8h.xhtml">NEBitwiseNotKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_bitwise_or_kernel_8h.xhtml">NEBitwiseOrKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_bitwise_xor_kernel_8h.xhtml">NEBitwiseXorKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_box3x3_kernel_8h.xhtml">NEBox3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_canny_edge_kernel_8h.xhtml">NECannyEdgeKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_channel_combine_kernel_8h.xhtml">NEChannelCombineKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_channel_extract_kernel_8h.xhtml">NEChannelExtractKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_col2_im_kernel_8h.xhtml">NECol2ImKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_color_convert_kernel_8h.xhtml">NEColorConvertKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_convolution_kernel_8h.xhtml">NEConvolutionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_convolution_layer_weights_reshape_kernel_8h.xhtml">NEConvolutionLayerWeightsReshapeKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_cumulative_distribution_kernel_8h.xhtml">NECumulativeDistributionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_depth_convert_kernel_8h.xhtml">NEDepthConvertKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_derivative_kernel_8h.xhtml">NEDerivativeKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_dilate_kernel_8h.xhtml">NEDilateKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_erode_kernel_8h.xhtml">NEErodeKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_fast_corners_kernel_8h.xhtml">NEFastCornersKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_fill_array_kernel_8h.xhtml">NEFillArrayKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_fill_border_kernel_8h.xhtml">NEFillBorderKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_fill_inner_border_kernel_8h.xhtml">NEFillInnerBorderKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_gaussian3x3_kernel_8h.xhtml">NEGaussian3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_gaussian5x5_kernel_8h.xhtml">NEGaussian5x5Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_gaussian_pyramid_kernel_8h.xhtml">NEGaussianPyramidKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_interleave4x4_kernel_8h.xhtml">NEGEMMInterleave4x4Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_lowp_matrix_multiply_kernel_8h.xhtml">NEGEMMLowpMatrixMultiplyKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_matrix_accumulate_biases_kernel_8h.xhtml">NEGEMMMatrixAccumulateBiasesKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_matrix_addition_kernel_8h.xhtml">NEGEMMMatrixAdditionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_matrix_multiply_kernel_8h.xhtml">NEGEMMMatrixMultiplyKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_g_e_m_m_transpose1x_w_kernel_8h.xhtml">NEGEMMTranspose1xWKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_harris_corners_kernel_8h.xhtml">NEHarrisCornersKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_histogram_kernel_8h.xhtml">NEHistogramKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_h_o_g_descriptor_kernel_8h.xhtml">NEHOGDescriptorKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_h_o_g_detector_kernel_8h.xhtml">NEHOGDetectorKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_h_o_g_non_maxima_suppression_kernel_8h.xhtml">NEHOGNonMaximaSuppressionKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_im2_col_kernel_8h.xhtml">NEIm2ColKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_integral_image_kernel_8h.xhtml">NEIntegralImageKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_l_k_tracker_kernel_8h.xhtml">NELKTrackerKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_magnitude_phase_kernel_8h.xhtml">NEMagnitudePhaseKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_mean_std_dev_kernel_8h.xhtml">NEMeanStdDevKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_median3x3_kernel_8h.xhtml">NEMedian3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_min_max_location_kernel_8h.xhtml">NEMinMaxLocationKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_non_linear_filter_kernel_8h.xhtml">NENonLinearFilterKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_non_maxima_suppression3x3_kernel_8h.xhtml">NENonMaximaSuppression3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_normalization_layer_kernel_8h.xhtml">NENormalizationLayerKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_pixel_wise_multiplication_kernel_8h.xhtml">NEPixelWiseMultiplicationKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_pooling_layer_kernel_8h.xhtml">NEPoolingLayerKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_remap_kernel_8h.xhtml">NERemapKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_scale_kernel_8h.xhtml">NEScaleKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_scharr3x3_kernel_8h.xhtml">NEScharr3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_sobel3x3_kernel_8h.xhtml">NESobel3x3Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_sobel5x5_kernel_8h.xhtml">NESobel5x5Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_sobel7x7_kernel_8h.xhtml">NESobel7x7Kernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_softmax_layer_kernel_8h.xhtml">NESoftmaxLayerKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_table_lookup_kernel_8h.xhtml">NETableLookupKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_threshold_kernel_8h.xhtml">NEThresholdKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_transpose_kernel_8h.xhtml">NETransposeKernel.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></td><td class="dirtab"><a class="el" href="_n_e_warp_kernel_8h.xhtml">NEWarpKernel.h</a></td></tr></table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_315f6cf1ec0b2df3ae747ff8286a19f5.xhtml">NEON</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
